; -------------------------------------
; scriptnaam:	Alt-U-knop
; versie:	6.1.0-1.0
; gemaakt:	Oktober 2015
; door:		Carel Plantagie
; voor:		Aldfaer 6.1
; -------------------------------------

; Overzicht sneltoetsen:
; ======================
; Alt+U = plak Notitie uit GeldersArchief of WieWasWie
; -------------------------------------
; Versie / Publicatie / Wijziging(en):
; 4.1.0-1.0 / 16-01-2009
;	[!] Eerste versie (sneltoetsen conform wens in het Forum). 
; -------------------------------------

; -------------------------------------
; Alt+W: 
; - 
;   . 
;   . 
;   . 
;   
; - 
; -------------------------------------
!U::
	; Haal de geselecteerde informatie
	;
	MyCode := clipboard

	; Indien leeg, geef een melding en stop
	;
	If MyCode=
	{
		MsgBox, 17, Aldfaer-Hotkeys, Geen geselecteerde tekst gevonden.
		return
	}
	; Selecteer alvast alles wat we gaan vervangen (simuleer Ctrl+A)
	;
	Send ^a

	Van  := ":"
	Van1 := ": "
	Van2 := ":  "
	Van3 := ":   "
	Naar := ":" . A_Tab
	Sp2  := "  "
	Notitie := ""
	Loop, parse, MyCode, `n, `r
	{
		; Haal een regel en autoTrim de spaties
		;
		Regel =%A_LoopField%
		If Regel<>
		{
			; Inkorten of uitbreiden van de tekst
			;
			StringReplace, Regel, Regel, Geboortedatum:, Geb.datum:,
			StringReplace, Regel, Regel, Geboorteplaats:, Geb.plaats:,
			StringReplace, Regel, Regel, Kind:, Geb. Kind:,
			StringReplace, Regel, Regel, Huwelijksdatum:, Huw.datum:,
			StringReplace, Regel, Regel, Huwelijksplaats:, Huw.plaats:,
			StringReplace, Regel, Regel, r bruidegom:, r b.gom:,
			StringReplace, Regel, Regel, Overlijdensdatum:, Ovl.datum:,
			StringReplace, Regel, Regel, Overlijdensplaats:, Ovl.plaats:,
			StringReplace, Regel, Regel, Vestigings datum:, Vest.datum:,
			StringReplace, Regel, Regel, Toegangsnummer:, Toegangsnr:,
			StringReplace, Regel, Regel, Inventarisnummer:, Inventarisnr:,

			StringReplace, Regel, Regel, Gebeurtenisplaats:, Plaats:,
			StringReplace, Regel, Regel, instelling:, instell:,
			StringReplace, Regel, Regel, Collectiegebied:, Collectie:,
			StringReplace, Regel, Regel, Registratiedatum:, Registr.datum:,


			;
			; Ga 2 spaties inspringen bij: Bruid(egom), Vader, Moeder en Echtgeno()ot(e).
			;
			If InStr(Regel, "Bruid") = 1
				Regel := Sp2 . Regel
			If InStr(Regel, "Vader") = 1
				Regel := Sp2 . Regel
			If InStr(Regel, "Moeder") = 1 
				Regel := Sp2 . Regel
			If InStr(Regel, "Echtgen") = 1
				Regel := Sp2 . Regel
			;
			; Ga 4 spaties inspringen bij korte woordjes.
			;
			If InStr(Regel, "Leeftijd") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Doopplaats") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Geslacht") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Beroep") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Naam:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Voornaam") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Adres:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Datum:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Plaats:") = 1
				Regel := Sp2 . Sp2 . Regel
			If InStr(Regel, "Boek:") = 1
				Regel := Sp2 . Sp2 . Regel
			;
			; Bij een regel met een 'dubbele punt':
			;    Als het een regel betreft met tekst hierachter:
			;	Vervang de spaties door een Tab
			;	Voeg de Regel toe aan de Notitie met CRLF
			;    Anders:
			;	Plaats een Tab achter de 'dubbele punt'
			;	Voeg de Regel toe aan de Notitie zonder CRLF
			; Bij een regel zonder een 'dubbele punt':
			;	Voeg de Regel toe aan de Notitie met CRLF
			;
			If InStr(Regel, ":") > 0
				If InStr(Regel, Van1) > 0
				{
					StringReplace, Regel, Regel, %Van3%, %Van%, All
					StringReplace, Regel, Regel, %Van2%, %Van%, All
					StringReplace, Regel, Regel, %Van1%, %Van%, All
					StringReplace, Regel, Regel, %Van%, %Naar%, All
					Notitie := Notitie . Regel . "`r`n"
				}
				Else
				{					
					StringReplace, Regel, Regel, %Van%, %Naar%, All
					Notitie := Notitie . Regel
				}
			Else
				Notitie := Notitie . Regel . "`r`n"
			;End-If
		}
		;End-If
	}
	;End-Loop
	; Plaats de Notitie in de selectie (toetsenbordbuffer)
	; En plak de tekst (simuleer Ctrl+V)
	;
	clipboard := Notitie
	Sleep 500
	Send ^v



return
; -------------------------------------


